<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="org.mercury_im.messenger">
    <!-- To auto-complete the email text field in the login form with the user's emails -->
    <uses-permission android:name="android.permission.GET_ACCOUNTS" />
    <uses-permission android:name="android.permission.READ_PROFILE" />
    <uses-permission android:name="android.permission.READ_CONTACTS" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />

    <application
        android:name=".android.MercuryImApplication"
        android:allowBackup="true"
        android:icon="@drawable/ic_mercury_icon"
        android:label="@string/app_name"
        android:roundIcon="@drawable/ic_mercury_icon"
        android:supportsRtl="true"
        android:theme="@style/Theme.Mercury">
        <activity android:name=".android.crypto.ikey.IkeyBackupRestoreActivity">

        </activity>
        <activity
            android:name=".android.ui.chat.ChatActivity"
            android:label="Chat" />
        <activity
            android:name=".android.ui.MainActivity"
            android:label="@string/app_name">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".android.ui.settings.SettingsActivity"
            android:label="@string/title_activity_settings" />
        <activity android:name=".android.ui.contacts.detail.ContactDetailActivity" />
        <activity android:name=".android.ui.account.detail.AccountDetailsActivity" />
        <activity android:name=".android.ui.account.login.AddAccountActivity" />

        <service android:name=".android.service.MercuryForegroundService" />
    </application>

</manifest>